import { createSSRApp } from "vue";
import App from "./App";
import i18n from "./locale/index";
import * as Pinia from "pinia";
import VConsole from 'vconsole'
new VConsole()
// import '@/uni.scss'
// 引入uvUI
import uvUI from "@/uni_modules/uv-ui-tools";

export function createApp() {
    const app = createSSRApp(App);
    app.use(uvUI);
    app.use(Pinia.createPinia());
    app.use(i18n);
    return {
        app,
        Pinia,
    };
}
